"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const npmconfig = require("libnpmconfig");
class NpmConfigService {
    constructor() {
        this.config = {};
        this.readConfig();
    }
    getConfig() {
        return this.config;
    }
    readConfig() {
        const data = npmconfig.read();
        data.forEach((value, key) => {
            this.config[key] = typeof value !== 'string' ? value : value.replace(/\${([^}]+)}/, (_, envVar) => process.env[envVar]);
        });
    }
}
exports.NpmConfigService = NpmConfigService;
$injector.register("npmConfigService", NpmConfigService);
